Subject: RE: I-D ACTION:draft-ietf-pkix-rfc2511bis-00.txt

From: Carlisle Adams <[email-masked]>
Date: Fri, 1 Dec 2000 09:19:20 -0500

Hi Francois,

> ----------
> From:
> [email-masked][SMTP:[email-masked]]
> Sent: 	Thursday, November 30, 2000 11:27 AM
> To: 	[email-masked]
> Subject: 	RE: I-D ACTION:draft-ietf-pkix-rfc2511bis-00.txt
> 
> Since the same comment that had previously been added in rfc2510bis for
> clarifying when the EncryptedValue is used to carry a private key was also
> added in this Internet Draft, PKCS#11 and ANSI X9.42 should probably be
> added as references in this document.
 
Yes, the references could be added.  I'll try to remember to put them in
before the document progresses.

> Note also that the next draft of PKCS#11 v2.11 will include explicit
> support for the ANSI X9.42 flavour of Diffie-Hellman and the wrapping
> (i.e. encryption) of X9.42 Diffie-Hellman private keys.  Therefore the
> exception that the D-H algorithm OID and parameters MUST be as defined in
> ANSI X9.42 might soon become superfluous.
 
True.  As you know, however, it depends on timing.  Unless the new PKCS #11
comes out (in a stable, referencable form) before progression of this
document, there will be no choice but to continue to include this exception
in the text.

Thanks again for your careful reading of this revision!

Carlisle.